<template>
  <div class="final-end-page">
    <img id="Anastasis" src="/ressources/anastasis-green.png" alt="" />

    <Console :textConsole="textConsole" />
  </div>
</template>

<script>
import Console from "../components/Console.vue";
export default {
  name: "FinalBadEndPage",
  components: {
    Console,
  },
  data() {
    return {
      textConsole: BAD_END_TEXT,
    };
  },
  beforeCreate: function () {
    document.body.className = "body-console";
  },
  beforeDestroy: function () {
    document.body.classList.remove("body-console");
  },
};

const BAD_END_TEXT = `
///Script d'envoi des données\\\\\\

Envoi des données en cours....................................................................................
ALERTE
Interception des fichiers par l'utilisateur TV9DZW5zdXJl........................

Protocole de sécurité enclenché.
Blocage du logiciel malveillant..........................................
Echec.
Nouvelle tentative............................................
Echec.

Les fichiers ont été téléchargés depuis une autre machine.
Recherche de l’adresse IP responsable......................
Lieu : E-Lucidum, NjYgcnVlIEFsZG91cyBIdXhsZXk=
Le programme a échoué. 
Les fichiers ont été volés.
`;
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped></style>
